[regression] Icons rearranged on Launcher not saved after reboot

Bug #1237359 reported by Susan Cragin on 2013-10-09
16
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Unity
Status tracked in Trunk
7.1
Fix Released
Undecided
Andrea Azzarone
Trunk
Fix Released
High
Andrea Azzarone
unity (Ubuntu)
High
Andrea Azzarone

Bug Description

First of all, Ubuntu-bug doesn't work properly any more. In the first screen, if I select the option for "other" it bounces me out of the program. So I selected the least inappropriate working option.

Taskbar --
I have the taskbar showing 7 programs. I have deleted some and added the following: Emacs, Wine-NaturallySpeaking, and Wine-notepad.

The icons add fine.

But I want to move wine-notepad up. I can do this, but when I re-boot the icon is always back where it started.

This is a regression.

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: xorg 1:7.7+1ubuntu5
ProcVersionSignature: Ubuntu 3.11.0-12.18-generic 3.11.3
Uname: Linux 3.11.0-12-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.12.5-0ubuntu1
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
Date: Wed Oct 9 07:16:01 2013
DistUpgraded: Fresh install
DistroCodename: saucy
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Lenovo Device [17aa:2203]
InstallationDate: Installed on 2013-08-12 (58 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130811)
MachineType: LENOVO 3434CTO
MarkForUpload: True
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-12-generic root=UUID=bc02d17d-d76c-41e2-9c8b-038deee84dfb ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/25/2012
dmi.bios.vendor: LENOVO
dmi.bios.version: GCET21WW (1.10 )
dmi.board.asset.tag: Not Available
dmi.board.name: 3434CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Defined
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvrGCET21WW(1.10):bd07/25/2012:svnLENOVO:pn3434CTO:pvrThinkPadX230Tablet:rvnLENOVO:rn3434CTO:rvrNotDefined:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 3434CTO
dmi.product.version: ThinkPad X230 Tablet
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.10+13.10.20131004-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.46-1
version.libgl1-mesa-dri: libgl1-mesa-dri 9.2.1-1ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.2.1-1ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.14.3-3ubuntu1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu3.1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.2.0-0ubuntu10
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.903-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.9-2ubuntu1
xserver.bootTime: Wed Oct 9 07:10:01 2013
xserver.configfile: default
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 728
 vendor LGD
xserver.version: 2:1.14.3-3ubuntu1

Related branches

Susan Cragin (susancragin) wrote :
Timo Aaltonen (tjaalton) on 2013-10-09
affects: xorg (Ubuntu) → unity (Ubuntu)
Christopher Townsend (townsend) wrote :

Hi Susan,

Thanks for reporting this. Yes, definitely a regression.

Changed in unity:
status: New → Triaged
Changed in unity (Ubuntu):
status: New → Triaged
Changed in unity:
importance: Undecided → High
Changed in unity (Ubuntu):
importance: Undecided → High
summary: - Taskbar does not save settings when icons rearranged by user
+ [regression] Icons rearranged on Launcher not saved after reboot
Andrea Azzarone (azzar1) on 2013-10-11
Changed in unity:
milestone: none → 7.1.2
status: Triaged → In Progress
Changed in unity (Ubuntu):
status: Triaged → In Progress
Changed in unity:
assignee: nobody → Andrea Azzarone (andyrock)
Changed in unity (Ubuntu):
assignee: nobody → Andrea Azzarone (andyrock)
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:unity at revision None, scheduled for release in unity, milestone 7.2.0

Changed in unity:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.1.2+13.10.20131014.1-0ubuntu1

---------------
unity (7.1.2+13.10.20131014.1-0ubuntu1) saucy; urgency=low

  [ William Grant ]
  * Build with -fPIC on arm64 to fix link failure.

  [ Andrea Azzarone ]
  * Don't ignore Stick command is the icon is already sticky but
    save==true. (LP: #1237359)

  [ Marco Trevisan (Treviño) ]
  * PluginAdapter: set the spread window state before spreading or the
    callback will get a wrong state. (LP: #1238622)
  * PluginAdapter: set the spread window state before spreading or the
    callback will get a wrong state. (LP: #1238622)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3570
 -- Ubuntu daily release <email address hidden> Mon, 14 Oct 2013 11:24:03 +0000

Changed in unity (Ubuntu):
status: In Progress → Fix Released
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:unity/7.1 at revision None, scheduled for release in unity, milestone 7.1.2

Stephen M. Webb (bregma) wrote :

Fix Released in Unity Unity 7.2.0.

Changed in unity:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers